[SRU] update artful data

Bug #1739467 reported by Michael Vogt on 2017-12-20
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
command-not-found (Ubuntu)
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

[TEST CASE]
1. install the new command-not-found
2. type "2vcard" in the bash shell
3. verify that it suggests to apt install 2vcard
4. type "colorgcc"
5. verify that you get: "colorgcc: command not found"
   (this is one example of incorrect data in the current artful package, colorgcc got removed after zesty).

[Regression potential]
* low, the command-not-found data in the release is very outdated

The command-not-found data for artful is outdated. The archive scanner was broken and we re-run with a new scan recently.

Michael Vogt (mvo) on 2017-12-20
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in command-not-found (Ubuntu Artful):
status: New → Confirmed
Changed in command-not-found (Ubuntu):
status: New → Confirmed

Hello Michael, or anyone else affected,

Accepted command-not-found into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/command-not-found/0.3ubuntu17.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in command-not-found (Ubuntu Artful):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-artful
Brian Murray (brian-murray) wrote :

This looks good to me.

 $ sudo apt-get install command-not-found
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  command-not-found
1 upgraded, 0 newly installed, 0 to remove and 72 not upgraded.
Need to get 3,656 B of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu artful-proposed/main amd64 command-not-found all 0.3ubuntu17.10.2 [3,656 B]
Fetched 3,656 B in 0s (11.0 kB/s)
The system does not support apt-btrfs-snapshot
Reading changelogs... Done
(Reading database ... 476818 files and directories currently installed.)
Preparing to unpack .../command-not-found_0.3ubuntu17.10.2_all.deb ...
Unpacking command-not-found (0.3ubuntu17.10.2) over (0.3ubuntu17.10.1) ...
Setting up command-not-found (0.3ubuntu17.10.2) ...
[ 1:56PM 10172 ] [ bdmurray@impulse:~/source-trees/ubuntu-archive-tools/upstream ]
 $ colorgcc
The program 'colorgcc' is currently not installed. You can install it by typing:
sudo apt install colorgcc
zsh: command not found: colorgcc
[ 1:56PM 10174 ] [ bdmurray@impulse:~/source-trees/ubuntu-archive-tools/upstream ]
 $ 2vcard
The program '2vcard' is currently not installed. You can install it by typing:
sudo apt install 2vcard
zsh: command not found: 2vcard
 $ bash
bdmurray@impulse:~/source-trees/ubuntu-archive-tools/upstream$ colorgcc
The program 'colorgcc' is currently not installed. You can install it by typing:
sudo apt install colorgcc
bdmurray@impulse:~/source-trees/ubuntu-archive-tools/upstream$ 2vcard
The program '2vcard' is currently not installed. You can install it by typing:
sudo apt install 2vcard

tags: added: verification-done-artful
removed: verification-needed-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package command-not-found - 0.3ubuntu18.04.0~pre1

---------------
command-not-found (0.3ubuntu18.04.0~pre1) bionic; urgency=medium

  * Update scan.data to bionic.

 -- Michael Vogt <email address hidden> Thu, 21 Dec 2017 09:07:18 +0100

Changed in command-not-found (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package command-not-found - 0.3ubuntu17.10.2

---------------
command-not-found (0.3ubuntu17.10.2) artful; urgency=medium

  * Update scan.data after a new "artful" archive scan
    (LP: #1739467)

 -- Michael Vogt <email address hidden> Wed, 20 Dec 2017 19:29:20 +0100

Changed in command-not-found (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for command-not-found has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers